Skip to content
DashboardGet API Key

Get current user

GET/v1/users/me

Returns the identity associated with the authenticated API token.

ReturnsExpand Collapse
name: string

Display name of the API token.

Get current user

curl https://api.chamelaion.com/api/v1/users/me \
    -H "x-api-key: $CHAMELAION_API_KEY"
{
  "name": "My API Token"
}
{
  "error": "missing authorization header"
}
{
  "error": "invalid authorization format"
}
{
  "error": "missing token"
}
{
  "error": "invalid token"
}
{
  "error": "unauthorized"
}
{
  "error": "internal error"
}
Returns Examples
{
  "name": "My API Token"
}
{
  "error": "missing authorization header"
}
{
  "error": "invalid authorization format"
}
{
  "error": "missing token"
}
{
  "error": "invalid token"
}
{
  "error": "unauthorized"
}
{
  "error": "internal error"
}